Debian Bug report logs - #222421
maildrop: please add LDAP support

version graph

Package: maildrop; Maintainer for maildrop is Josip Rodin <joy-packages@debian.org>; Source for maildrop is src:maildrop.

Reported by: Eric Dorland <eric@debian.org>

Date: Fri, 28 Nov 2003 22:03:04 UTC

Severity: wishlist

Tags: fixed-in-experimental, patch

Found in version 1.5.3

Done: Josip Rodin <joy@entuzijast.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: New version available, LDAP support
Date: Fri, 28 Nov 2003 16:56:58 -0500
Package: maildrop
Version: 1.5.3
Severity: wishlist

Good afternoon,

This is likely two seperate bug reports, but I would love to see LDAP
support included in maildrop, or a maildrop-ldap package included. Let
me know if you agree, and I'll make a patch against your package to
enable it. 

Also version 1.6.3 is available if you were unaware, at
http://www.courier-mta.org/download.php#maildrop

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux nightcrawler 2.4.21 #1 SMP Sun Jul 27 01:13:50 EDT 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #10 received at 222421@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 222421@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: New version available, LDAP support
Date: Mon, 1 Dec 2003 22:25:51 -0500
[Message part 1 (text/plain, inline)]
tags 222421 patch
thanks

Alright, here's a patch to enable the ldap support. If you'd rather a
separate maildrop-ldap package I can make the patch produce that
otherwise. 

-- 
Eric Dorland <eric.dorland@mail.mcgill.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[maildrop-ldap.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #17 received at 222421@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Eric Dorland <eric@debian.org>, 222421@bugs.debian.org
Subject: Re: Bug#222421: New version available, LDAP support
Date: Tue, 2 Dec 2003 13:18:17 +0100
On Fri, Nov 28, 2003 at 04:56:58PM -0500, Eric Dorland wrote:
> Package: maildrop
> Version: 1.5.3
> Severity: wishlist
> 
> This is likely two seperate bug reports, but I would love to see LDAP
> support included in maildrop, or a maildrop-ldap package included.

Presumably this would pull in libldap2... it's a bit unfortunate that
libldap2 isn't already pulled in by the base system as exim4-daemon-light
dropped it. Also, maildrop is 300 KB, libldap2 is 250 KB...

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #22 received at 222421@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 222421@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch attached
Date: Fri, 16 Apr 2004 20:52:16 -0400
[Message part 1 (text/plain, inline)]
tags 222421 patch
thanks

Attached is a patch to implement the maildrop-ldap package. Since
there's also a request for MySQL support so maybe those should both
rolled into a maildrop-fat package or something. The patch goes back
to using a Makefile since i was more familiar with it :)

-- 
Eric Dorland <eric.dorland@mail.mcgill.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[maildrop-ldap.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #29 received at 222421@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Eric Dorland <eric@debian.org>, 222421@bugs.debian.org
Subject: Re: Bug#222421: patch attached
Date: Sun, 18 Apr 2004 19:33:38 +0200
On Fri, Apr 16, 2004 at 08:52:16PM -0400, Eric Dorland wrote:
> tags 222421 patch
> thanks
> 
> Attached is a patch to implement the maildrop-ldap package. Since
> there's also a request for MySQL support so maybe those should both
> rolled into a maildrop-fat package or something. The patch goes back
> to using a Makefile since i was more familiar with it :)

You do realize that it's basically impossible to read a diff that changes
not just content but syntax, and that this makes the patch purely academic
as far as accepting it goes? :)

Seriously though, coding this isn't an issue, it's more an issue of whether
we want this in a separate package, and if so how it should be organized.
I don't like the idea of doing this ad hoc, it'll just come back and cause
unnecessary work next time some feature gets added, changes, becomes
obsolete or becomes integral...

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #34 received at 222421@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: control@bugs.debian.org
Subject: fixing title
Date: Fri, 17 Sep 2004 17:10:53 -0400
[Message part 1 (text/plain, inline)]
retitle 222421 maildrop: please add LDAP support
thanks

Getting rid of the mention of a newer version, since the version
mentioned has actually been packaged.




-- 
Andres Salomon <dilinger@voxel.net>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Andres Salomon <dilinger@voxel.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#222421; Package maildrop. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #41 received at 222421@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 222421@bugs.debian.org, 212701@bugs.debian.org
Subject: maildrop: mysql and ldap support
Date: Thu, 20 Jan 2005 23:34:08 -0500
[Message part 1 (text/plain, inline)]
Hi Josip,

This patch adds maildrop-mysql and maildrop-ldap packages to maildrop.
It could probably use more love (I haven't extensively tested it yet;
maildrop-mysql at least installs and runs).  For example, instead of
each target package blindly conflicting w/ others, they could play nice
w/ update-alternatives.  Also, instead of duplicating files, a
maildrop-common package would be nicer.  But, no point in doing any of
this until I get your opinion.

This patch keeps the old debian/rules shell script way of doing things.

-- 
Andres Salomon <dilinger@voxel.net>
[maildrop.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-in-experimental Request was from Andres Salomon <dilinger@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Josip Rodin <joy@entuzijast.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Dorland <eric@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 222421-done@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@entuzijast.net>
To: Eric Dorland <eric@debian.org>, 222421-done@bugs.debian.org
Subject: Re: Bug#222421: LDAP support
Date: Wed, 30 Aug 2006 12:07:09 +0200
On Tue, Dec 02, 2003 at 01:18:17PM +0100, Josip Rodin wrote:
> > I would love to see LDAP support included in maildrop, or a
> > maildrop-ldap package included.
> 
> Presumably this would pull in libldap2... it's a bit unfortunate that
> libldap2 isn't already pulled in by the base system as exim4-daemon-light
> dropped it. Also, maildrop is 300 KB, libldap2 is 250 KB...

The ratios changed in the meantime in favour of the inclusion, but on the
other hand, maildrop started using courier-authlib which provides access to
LDAP as well as other authentication mechanisms.

Try maildrop 2.x from unstable. Thanks for reporting.

-- 
     2. That which causes joy or happiness.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 18:17:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:32:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.